Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Upgrading SilverStripe

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Upgrading to 3.1 using composer


Reply

3 Posts   605 Views

Avatar
zard

2 October 2013 at 10:57pm Community Member, 23 Posts

Hi,

I've installed my current version using:

composer create-project silverstripe/installer ./my/website/folder 3.0.3

Is there any way to tell composer to download the 3.1 and upgrade the framework + CMS? I do not have any custom modules bar the standard CMS and unit testing.

Avatar
zard

3 October 2013 at 10:33pm Community Member, 23 Posts

.. nobody?

Avatar
martimiz

4 October 2013 at 2:51am (Last edited: 4 October 2013 2:52am), Forum Moderator, 1091 Posts

I think you should be able to change the "require" settings in the composer.json file in the root of your install. Something like:

"require": {
   "php": ">=5.3.2",
   "silverstripe/framework": "3.1.0",
   "silverstripe/cms": "3.1.0"
   ...

then do composer update

Note: Make a backup first, and check Packagist for other versions you might want, like for instance 3.0.x-dev